<%@ Control Language="JScript" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    public var ProductID : int ;

    //*******************************************************
    //
    // The Page_Load event on this user control is used to obtain
    // from a database a list of reviews about a specified
    // product and then databind it to an asp:datalist control.
    //
    //*******************************************************

    function Page_Load(sender: Object, e: EventArgs) : void {

        // Obtain and databind a list of all reviews of a product
        var productReviews : IBuySpy.ReviewsDB  = new IBuySpy.ReviewsDB();
        
        MyList.DataSource = productReviews.GetReviews(ProductID);
        MyList.DataBind();

        // Update navigation link for users to add a new review
        AddReview.NavigateUrl = "ReviewAdd.aspx?productID=" + ProductID.ToString();
    }

</script>

<br>
<br>

<table cellspacing="0" cellpadding="0" width="100%" border="0">
    <tr>
        <td class="SubContentHead">
            &nbsp;Reviews
            <br>
        </td>
    </tr>
    <tr>
        <td>
            &nbsp;
        </td>
    </tr>
    <tr>
        <td>
            <asp:Hyperlink id="AddReview" runat="server">
                <img align="absbottom" src="images/review_this_product.gif" border="0">
            </asp:Hyperlink>
            <br>
            <br>
        </td>
    </tr>
    <tr>
        <td>
            <asp:DataList ID="MyList" runat="server" width="500" cellpadding="0" cellspacing="0">
                <ItemTemplate>
                    <asp:Label class="NormalBold" Text='<%#DataBinder.Eval(Container.DataItem, "CustomerName")%>' runat="server" />
                    <span class="Normal">says... </span><img src='images/ReviewRating<%#DataBinder.Eval(Container.DataItem, "Rating")%>.gif'>
                    <br>
                    <asp:Label class="Normal" Text='<%#DataBinder.Eval(Container.DataItem, "Comments")%>' runat="server" />
                </ItemTemplate>
                <SeparatorTemplate>
                    <br>
                </SeparatorTemplate>
            </asp:DataList>
        </td>
    </tr>
</table>
